
!ProjectLauncher methodsFor: '*SqSquare-BrowserPlugin' stamp: 'mu 4/19/2006 11:01'!
installSqSquareProjectFrom: loader
	self showSplashMorph.
	[[[
		loader installSqSquareProject
	] on: ProjectViewOpenNotification
	  do:[:ex| ex resume: false] "no project view in plugin launcher"
	] on: ProgressInitiationException "no 'reading aStream' nonsense"
	  do:[:ex| ex sendNotificationsTo: [ :min :max :curr |]]
	] on: ProjectEntryNotification "hide splash morph when entering project"
       do:[:ex| self hideSplashMorph. ex pass].! !

!ProjectLauncher methodsFor: '*SqSquare-BrowserPlugin-override' stamp: 'mu 4/19/2006 10:57'!
startUpAfterLogin
	| scriptName loader isUrl |
	self setupFlaps.
	Preferences readDocumentAtStartup ifTrue: [
		HTTPClient isRunningInBrowser ifTrue:[
			self setupFromParameters.
			scriptName _ self parameterAt: 'src'.
			CodeLoader defaultBaseURL: (self parameterAt: 'Base').
		] ifFalse:[
			scriptName _ (SmalltalkImage current getSystemAttribute: 2) ifNil:[''].
			scriptName isEmpty ifFalse:[
				"figure out if script name is a URL by itself"
				isUrl _ (scriptName asLowercase beginsWith:'http://') or:[
						(scriptName asLowercase beginsWith:'file://') or:[
						(scriptName asLowercase beginsWith:'ftp://')]].
				isUrl ifFalse:[scriptName _ 'file:',scriptName]].
		]. ]
	ifFalse: [ scriptName := '' ].

	scriptName isEmptyOrNil
		ifTrue:[^Preferences eToyFriendly ifTrue: [self currentWorld addGlobalFlaps]].
	loader _ CodeLoader new.
	loader loadSourceFiles: (Array with: scriptName).

	(scriptName asLowercase endsWith: '.sqsq') ifTrue: [self installProjectFrom: loader].

	(scriptName asLowercase endsWith: '.pr') 
		ifTrue:[self installProjectFrom: loader]
		ifFalse:[loader installSourceFiles].
! !

!CodeLoader methodsFor: '*SqSquare-BrowserPlugin' stamp: 'mu 4/19/2006 11:13'!
installSqSquareProject
	"Assume that we're loading a single file and it's a project"
	| aStream data commands |
	aStream _ sourceFiles first contentStream.
	aStream ifNil:[^self error:'Project was not loaded'].

	data _ aStream contents asString.
	commands _ AbUtil readConfigurationFromStream: data unzipped readStream.
	commands inspect! !
